# Uses of Enum Class
org.bukkit.block.data.type.StructureBlock.Mode

Packages that use StructureBlock.Mode
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of StructureBlock.Mode in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return StructureBlock.Mode
Modifier and Type
Method
Description
`@NotNull StructureBlock.Mode`
StructureBlock.`getMode()`
Gets the value of the 'mode' property.
`static StructureBlock.Mode`
StructureBlock.Mode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StructureBlock.Mode[]`
StructureBlock.Mode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type StructureBlock.Mode
Modifier and Type
Method
Description
`void`
StructureBlock.`setMode(@NotNull StructureBlock.Mode mode)`
Sets the value of the 'mode' property.